function getCode(type, container, keywords){
	$.getJSON( "index.php?ads&getcode&" + id + "&" + type + "&k=" + encodeURIComponent(keywords), function( data ) {
		$('#'+container).html(data).each(function(i, e) {hljs.highlightBlock(e)});
	});
}

$(function () {

	getCode($('#js_select').val(), 'js_code', '');
	$('#js_select').change(function() {
		getCode($('#js_select').val(), 'js_code', '');
	});

	getCode($('#php_select').val(), 'php_code', '');
	$('#php_select').change(function() {
		getCode($('#php_select').val(), 'php_code', '');
	});

	getCode('9', 'html_code', '');

	getCode('10', 'vast_code', '');

	$('#btn_keywords').click(function() {
		var keywords = $('#keywords').val().trim();
		if (keywords == "") return;

		getCode($('#js_select_keyword').val(), 'js_code_keyword', keywords);
		$('#js_select_keyword').change(function() {
			keywords = $('#keywords').val().trim();
			getCode($('#js_select_keyword').val(), 'js_code_keyword', keywords);
		});

		getCode($('#php_select_keyword').val(), 'php_code_keyword', keywords);
		$('#php_select_keyword').change(function() {
			keywords = $('#keywords').val().trim();
			getCode($('#php_select_keyword').val(), 'php_code_keyword', keywords);
		});

	});



});
